<?php

namespace Drupal\config_pages;

use Drupal\Core\Entity\EntityInterface;
use Drupal\hal\Normalizer\ContentEntityNormalizer;

/**
 * Converts the Drupal config_pages object structure to a HAL array structure.
 */
class ConfigPagesNormalizer extends ContentEntityNormalizer {

  /**
   * {@inheritdoc}
   */
  protected $supportedInterfaceOrClass = 'Drupal\config_pages\ConfigPagesInterface';

  /**
   * {@inheritdoc}
   */
  protected function getEntityUri(EntityInterface $entity) {
    $url = $entity->urlInfo('canonical', ['absolute' => TRUE]);
    return $url->setOption('query', ['_format' => 'hal_json'])->toString();
  }
}
